# angular.directive.ng:src

Work in Progress This page is currently being revised. It might be incomplete or contain inaccuracies.

## Description

Using `<angular/>` markup like `{{hash}}` in a `src` attribute doesn't work right: The browser will fetch from the URL with the literal text `{{hash}}` until `<angular/>` replaces the expression inside `{{hash}}`. The `ng:src` attribute solves this problem by placing the `src` attribute in the `ng:` namespace.

The buggy way to write it:

    <img src="http://www.gravatar.com/avatar/{{hash}}"/>

The correct way to write it:

    <img ng:src="http://www.gravatar.com/avatar/{{hash}}"/>

## Usage

    <ANY ng:src="template">
       ...
    </ANY>

### Parameters

- `template – {template} –`

  any string which can contain `{{}}` markup.